javax.naming

## Class ContextNotEmptyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.ContextNotEmptyException

- All Implemented Interfaces:
    Serializable

      public class ContextNotEmptyException
      extends NamingException

  This exception is thrown when attempting to destroy a context that is not empty.

  If the program wants to handle this exception in particular, it should catch ContextNotEmptyException explicitly before attempting to catch NamingException. For example, after catching ContextNotEmptyException, the program might try to remove the contents of the context before reattempting the destroy.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    `Context.destroySubcontext(javax.naming.Name)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextNotEmptyException()` Constructs a new instance of ContextNotEmptyException with all name resolution fields and explanation initialized to null.
    `ContextNotEmptyException(String explanation)` Constructs a new instance of ContextNotEmptyException using an explanation.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextNotEmptyException

          public ContextNotEmptyException(String explanation)

      Constructs a new instance of ContextNotEmptyException using an explanation. All other fields default to null.
      Parameters:
        `explanation` - Possibly null string containing additional detail about this exception.
      See Also:
        `Throwable.getMessage()`

    - #### ContextNotEmptyException

          public ContextNotEmptyException()

      Constructs a new instance of ContextNotEmptyException with all name resolution fields and explanation initialized to null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.